Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.tileentity
Class TileEntityEnchantmentTable

    java.lang.Object
      net.minecraft.tileentity.TileEntity
          net.minecraft.tileentity.TileEntityEnchantmentTable

    public class TileEntityEnchantmentTable

extends TileEntity

Field Summary
`float` | `bookRotation`
`float` | `bookRotation2`
`float` | `bookRotationPrev`
`float` | `bookSpread` The amount that the book is open.
`float` | `bookSpreadPrev` The amount that the book is open.
`float` | `field_70373_d`
`float` | `field_70374_e`
`float` | `pageFlip` Value used for determining how the page flip should look.
`float` | `pageFlipPrev` The last tick's pageFlip value.
`int` | `tickCount` Used by the render to make the book 'bounce'

Fields inherited from class net.minecraft.tileentity.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityEnchantmentTable()`

Method Summary
`void` | `updateEntity()` Allows the entity to update its state.

Methods inherited from class net.minecraft.tileentity.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, readFromNBT, receiveClientEvent, setWorldObj, shouldRefresh, updateContainingBlockInfo, validate, writeToNBT`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tickCount

    public int tickCount

  Used by the render to make the book 'bounce'

### pageFlip

    public float pageFlip

  Value used for determining how the page flip should look.

### pageFlipPrev

    public float pageFlipPrev

  The last tick's pageFlip value.

### field_70373_d

    public float field_70373_d

### field_70374_e

    public float field_70374_e

### bookSpread

    public float bookSpread

  The amount that the book is open.

### bookSpreadPrev

    public float bookSpreadPrev

  The amount that the book is open.

### bookRotation2

    public float bookRotation2

### bookRotationPrev

    public float bookRotationPrev

### bookRotation

    public float bookRotation

Constructor Detail

### TileEntityEnchantmentTable

    public TileEntityEnchantmentTable()

Method Detail

### updateEntity

    public void updateEntity()

  Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.

  Overrides:
    `updateEntity` in class `TileEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD